<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Perbaikan Sapras</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Perbaikan Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="card">
                        <div class="card-header">
                            <h4>Data</h4>
                            <div class="card-header-action">
                                <a th:href="@{/perbaikanSapras/form}" class="btn btn-primary btn-sm"><i class="fa fa-plus-circle"></i> Pengajuan</a>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${success != null}">
                                <span>Berhasil diajukan</span>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="alert alert-danger alert-dismissible fade show" role="alert" th:if="${delete != null}">
                                <span>Pengajuan berhasil dibatalkan</span>
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>#</th>
                                        <th>Barang Rusak</th>
                                        <th>Lokasi</th>
                                        <th>Keterangan</th>
                                        <th>Bukti Kerusakan</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                    <tbody id="target">
<!--                                    <tr th:each="data, row:${list}">-->
<!--                                        <td th:text="${(row.index + 1)}"></td>-->
<!--                                        <td th:text="${data.aset.namaAset}"></td>-->
<!--                                        <td th:text="${data.ruangan.namaRuangan}"></td>-->
<!--                                        <td th:text="${data.keterangan}"></td>-->
<!--                                        <td>-->
<!--                                            <button class="btn btn-danger btn-sm">Batal</button>-->
<!--                                        </td>-->
<!--                                    </tr>-->
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>

</body>
</html>
<script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>

<script type="text/javascript">
    getData();
    function getData(){
        $.ajax({
            dataType: "json",
            url: '/api/list',
            success: function (data) {
                var baris = '';
                var no = 1;
                for(var i = 0; i < data.length; i++){
                    baris += '<tr>' +
                        '<td>' + no++ + '</td>' +
                        '<td>' + data[i].aset.namaAset + '</td>' +
                        '<td>' + data[i].ruangan.namaRuangan + '</td>' +
                        '<td>' + data[i].keterangan + '</td>' +
                        '<td><a href="#" class="btn btn-warning btn-sm" onclick="deleteData('+ data[i].id +')">Lihat File</a ></td>' +
                        '<td><a href="#" class="btn btn-danger btn-sm" onclick="deleteData('+ data[i].id +')">hapus</a ></td>' +
                        '</tr>';

                }
                $('#target').html(baris);
            }
        });
    }

    function deleteData(id){
        $.ajax({
            type: 'get',
            url: '/api/batal/' + id,
            success: function(data){
                getData();
                swal("Info", "Data berhasil dihapus", "success");
            }
        });
    }
</script>